Page MenuHomePhabricator

Enable PRU for all other projects [small]
Closed, ResolvedPublic

Description

As a PRU user, I want PRU enabled for all other projects, so that the changes can be available on all wikis.

Background: After we have successfully enabled PRU for Wikivoyage and Wiktionary (T245792) & collected feedback, we will assess if PRU changes can be enabled on other projects, or if any changes need to be made. If we are ready to proceed, then we'll release to all other projects. This ticket represents the work to enable PRU on all remaining projects, which would be everything other than Wikivoyage & Wiktionary.

Acceptance Criteria:

  • Step 1: Enable PRU changes for other projects except Wikipedia, Wikivoyage & Wiktionary
  • Step 1: Wait a few days to confirm that there are no issues
  • Step 3: Enable PRU for Wikipedia

Event Timeline

ifried created this task.Feb 20 2020, 11:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2020, 11:35 PM
ifried renamed this task from Remove $wgAllowRequiringEmailForResets feature flag for all other projects [small] [DO NOT TAKE ON YET] to Enable PRU for all other projects [small] [DO NOT TAKE ON YET].Feb 20 2020, 11:51 PM
ifried updated the task description. (Show Details)
ifried renamed this task from Enable PRU for all other projects [small] [DO NOT TAKE ON YET] to Enable PRU for all other projects [small].Mar 2 2020, 6:07 PM
ifried moved this task from Estimated to Kanban-Q3-2019-20 on the Community-Tech board.
Restricted Application edited projects, added Community-Tech; removed Community-Tech (Kanban-Q3-2019-20). · View Herald TranscriptMar 2 2020, 6:07 PM
ifried renamed this task from Enable PRU for all other projects [small] to Enable PRU for all other projects except Wikipedia [small].Mar 30 2020, 5:21 PM
ifried renamed this task from Enable PRU for all other projects except Wikipedia [small] to Enable PRU for all other projects [small].
ifried updated the task description. (Show Details)
ifried updated the task description. (Show Details)
ifried updated the task description. (Show Details)Mar 30 2020, 5:24 PM
Samwilson claimed this task.Apr 1 2020, 1:23 AM

First part of this is ready for review and then to be added to a swat deployment.

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/585059

I've scheduled the above for the swat that happens about 9 hours from now.

Mentioned in SAL (#wikimedia-operations) [2020-04-01T12:12:13Z] <tgr@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:585059|Enable password-reset-update on all other than Wikipedias (T245791)]] (duration: 01m 07s)

Samwilson updated the task description. (Show Details)Apr 1 2020, 12:13 PM

This is deployed. Now we wait a few days.

Change 585371 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[operations/mediawiki-config@master] Enable password-reset-update on Wikipedias

https://gerrit.wikimedia.org/r/585371

Samwilson changed the task status from Open to Stalled.Apr 17 2020, 2:02 AM
Samwilson reassigned this task from Samwilson to HMonroy.
Samwilson added a subscriber: Samwilson.

This is waiting for T249730 and then Harumi's going to do the final deployment (so am changing assignee).

Change 585371 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable password-reset-update on Wikipedias

https://gerrit.wikimedia.org/r/585371

Mentioned in SAL (#wikimedia-operations) [2020-05-06T23:18:13Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable password-reset-update on Wikipedias (T245791) (duration: 01m 07s)

MGChecker closed this task as Resolved.May 7 2020, 8:30 AM
MGChecker added a subscriber: MGChecker.

If T249730 is resolved, can it be made public?

MGChecker updated the task description. (Show Details)May 7 2020, 8:30 AM
ifried added a comment.EditedMay 8 2020, 1:27 AM

@MGChecker We'll be conducting some basic tests tomorrow to verify that things look okay, and we'll then post an update on various channels. We have also let folks know that it's available on some other wikis already in our February project update. This work was just to enable it on the remaining wikis. In that case, you can expect a public update on the project completion very soon. Thanks!

ifried added a subscriber: dom_walden.EditedMay 8 2020, 4:48 PM

This work is now on production. I have conducted some basic tests for the following:

  • The checkbox is now available in the "Email options" section of Preferences in all wikis
  • The user can check the box, thereby requiring both email and username for password reset emails
  • If the Enhanced Password Reset feature is enabled, and if only one piece of information is provided (i.e., username or email address) on Special:PasswordReset, the password reset email is not sent
  • The preference can be set as a global or local preference
  • The user can uncheck the box to disable the Enhanced Password Reset feature

This looks good to me, but I'll wait for word from @dom_walden before closing the ticket and officially sharing the status update with everyone. Thanks!

ifried reopened this task as Open.May 8 2020, 6:35 PM

I see that this was marked as resolved by @MGChecker, but this needs to be marked as resolved by the Community Tech team, following QA checks. I'm making this open again, so @dom_walden can do the necessary checks and move to product sign-off. Thanks!

I tested this on en.wikipedia.org.

I checked that, with PRU enabled, PR emails are only sent when both username + email are provided. Repeated this also for PRU as a global preference.

Also tested that emails get sent when PRU is disabled.

ifried closed this task as Resolved.May 11 2020, 3:14 PM
ifried moved this task from Product sign-off to Done on the Community-Tech (Kanban-2019-20-Q4) board.

Thanks, Dom! I will now close this ticket and update the project page with the final status of the project.